Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZPhone Class Reference

## Public Member Functions
| __construct ( $id="")
| store ()
| delete ( $id=false)
| get ( $id)
| setNumber ( $value)
| setPhoneTypeID ( $value)
| setPhoneType ( $value)
| setID ( $value)
| number ()
| phoneTypeID ()
| phoneType ()
| id ()

## Public Attributes
| $ID
| $Number
| $PhoneTypeID

## Detailed Description

! eZAddress

Definition at line 38 of file ezphone.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZPhone::__construct | ( |  | $id = `""` | ) |

Definition at line 43 of file ezphone.php.

References $ID, and $id.

## Member Function Documentation

## ◆ delete()

eZPhone::delete | ( |  | $id = `false` | ) |

Definition at line 87 of file ezphone.php.

References $db, $ID, $id, $res, eZDB\finish(), and eZDB\globalDatabase().

Referenced by eZCompany\delete(), eZCompany\removePhones(), and eZPerson\removePhones().

## ◆ get()

eZPhone::get | ( |  | $id | ) |

Definition at line 99 of file ezphone.php.

References $db, $id, and eZDB\globalDatabase().

## ◆ id()

eZPhone::id | ( |  | ) |

Definition at line 170 of file ezphone.php.

References $ID.

## ◆ number()

eZPhone::number | ( |  | ) |

Definition at line 154 of file ezphone.php.

References $Number.

## ◆ phoneType()

eZPhone::phoneType | ( |  | ) |

Definition at line 164 of file ezphone.php.

## ◆ phoneTypeID()

eZPhone::phoneTypeID | ( |  | ) |

Definition at line 159 of file ezphone.php.

References $PhoneTypeID.

## ◆ setID()

eZPhone::setID | ( |  | $value | ) |

Definition at line 149 of file ezphone.php.

## ◆ setNumber()

eZPhone::setNumber | ( |  | $value | ) |

Definition at line 118 of file ezphone.php.

## ◆ setPhoneType()

eZPhone::setPhoneType | ( |  | $value | ) |

Definition at line 136 of file ezphone.php.

## ◆ setPhoneTypeID()

eZPhone::setPhoneTypeID | ( |  | $value | ) |

Definition at line 123 of file ezphone.php.

## ◆ store()

eZPhone::store | ( |  | ) |

Definition at line 55 of file ezphone.php.

References $db, $res, $ret, eZDB\finish(), and eZDB\globalDatabase().

## Member Data Documentation

## ◆ $ID

eZPhone::$ID

Definition at line 175 of file ezphone.php.

Referenced by __construct(), delete(), and id().

## ◆ $Number

eZPhone::$Number

Definition at line 176 of file ezphone.php.

Referenced by number().

## ◆ $PhoneTypeID

eZPhone::$PhoneTypeID

Definition at line 177 of file ezphone.php.

Referenced by phoneTypeID().

The documentation for this class was generated from the following file:

- ezphone.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.